org.w3._2000._09.xmldsig

## Class Transform

- java.lang.Object
- - org.w3._2000._09.xmldsig.Transform

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class Transform
      extends Object
      implements Serializable

  Java class for TransformType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TransformType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <any processContents='lax' namespace='##other'/>
               <element name="XPath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Gets the value of the algorithm property.
    `List<Object>` | `getContent()` Gets the value of the content property.
    `void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transform

          public Transform()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `String` `JAXBElement``<``String``>` `Element`

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.